%define	libva_req	1.6.1
Summary:	VA driver for Intel G45 and HD Graphics family
Summary(pl.UTF-8):	Sterownik VA do kart Intela z rodziny G45 i HD Graphics
Name:		libva-driver-intel
Version:	1.6.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://www.freedesktop.org/software/vaapi/releases/libva-intel-driver/libva-intel-driver-%{version}.tar.bz2
# Source0-md5:	ed1b04c1a3c029ad389b7e23822a2762
URL:		http://www.freedesktop.org/wiki/Software/vaapi
BuildRequires:	Mesa-libEGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	libdrm-devel >= 2.4.45
BuildRequires:	libva-devel >= %{libva_req}
BuildRequires:	libva-drm-devel >= %{libva_req}
BuildRequires:	libva-wayland-devel >= %{libva_req}
BuildRequires:	libva-x11-devel >= %{libva_req}
BuildRequires:	libtool
BuildRequires:	pkgconfig
# API version, not just package version
BuildRequires:	pkgconfig(libva) >= 0.38
# wayland-client
BuildRequires:	wayland-devel
Requires:	libdrm >= 2.4.45
Requires:	libva >= %{libva_req}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libva-driver-intel is the VA-API implementation for Intel G45 chipsets
and Intel HD Graphics for Intel Core processor family.

%description -l pl.UTF-8
libva-driver-intel to implementacja VA-API dla układów Intel G45 oraz
Intel HD Graphics przeznaczonych dla rodziny procesorów Intel Core.

%prep
%setup -q -n libva-intel-driver-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-hybrid-codec \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libva/dri/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/libva/dri/i965_drv_video.so
%changelog
* Fri Sep 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libva-driver-intel.git;a=log;h=master

* Fri Sep 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 67f6a68
- up to 1.6.1

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> fb430ed
- updated libva API version

* Fri Jul 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ee74ca2
- up to 1.6.0

* Sun Mar 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c386c7a
- up to 1.5.1

* Wed Dec 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 0b35114
- updated libva API version

* Wed Dec 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c9a8cb
- up to 1.5.0

* Sat Oct 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d8c32af
- up to 1.4.1

* Sat Oct 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ae0444
- updated required libva API version

* Tue Sep 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 457e3e5
- up to 1.4.0

* Mon Jun 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 870383b
- up to 1.3.2

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 6217ff2
- updated to 1.3.1

* Mon Mar 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dbf888e
- up to 1.3.0

* Sat Jan 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 189256d
- up to 1.2.2

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 6c044f9
- updated to 1.2.1

* Fri Jun 28 2013 Jakub Bogusz <qboosh@pld-linux.org> af31c5c
- updated libdrm version

* Fri Jun 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f4d17b6
- up to 1.2.0

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a9d538
- updated to 1.0.20
- removed obsolete am patch

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> a1a5e73
- updated to 1.0.19
- added am patch (fixes build with automake 1.13)

* Fri Apr 06 2012 Mariusz Mazur <mmazur@pld-linux.org> 967ed41
- up to 1.0.17; stbr

* Sat Nov 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 1eb11de
- new, split from libva 1.0.15

